<?php

namespace App\Models\Hostel;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HostelRoom extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function hostel()
    {
        return $this->belongsTo(Hostel::class);
    }

    public function roomType()
    {
        return $this->belongsTo(RoomType::class);
    }

    public function hostelFloor()
    {
        return $this->belongsTo(HostelFloor::class);
    }

    public function studentHostels()
    {
        return $this->belongsTo(StudentHostel::class);
    }
}
